import { Payload } from "../model/Payload";
import { Producer } from "pulsar-client";
export declare class Publisher {
    private pulsarMasterFactory;
    private pulsarSlaveFactory;
    /**
     * 发送主pulsar
     */
    publishToMaster(payload: Payload): Promise<void>;
    /**
    * 发送备pulsar
    */
    publishToSlave(payload: Payload): Promise<void>;
    sendMsgToPulsar(payload: Payload, producer: Producer): Promise<void>;
}
